#
# Copyright (C) 2025 Indiscale GmbH <info@indiscale.com>
# Copyright (C) 2025 Florian Spreckelsen <f.spreckelsen@indiscale.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <https://www.gnu.org/licenses/>.
#
import linkahead as db
import pandas as pd

from caosadvancedtools.datainconsistency import DataInconsistencyError

from .utils import get_column_header_name, get_entity_name
from ..bis_utils import return_value_if_not_none


def add_special_properties(sample: db.Record, data: pd.Series) -> db.Record:
    """This function adds all the properties that can not be added
    trivially from the given data row to the sample.

    """

    # TODO Add special treatment properties to sample

    return sample
